Loading...
Searching...
No Matches
subentitydofs.hh File Reference
`#include <vector>`
`#include <dune/geometry/referenceelements.hh>`
`#include <dune/common/typetree/traversal.hh>`

Go to the source code of this file.

## Classes

class | Dune::Functions::SubEntityDOFs< GridView >
| Range of DOFs associated to sub-entity. More...

## Namespaces

namespace | Dune
namespace | Dune::Functions

## Functions

template<class T>
auto | Dune::Functions::subEntityDOFs (const T &)
| Create SubEntityDOFs object.
template<class LocalView>
auto | Dune::Functions::subEntityDOFs (const LocalView &localView, std::size_t subEntityIndex, std::size_t subEntityCodim)
| Create bound SubEntityDOFs object.
template<class LocalView, class Intersection>
auto | Dune::Functions::subEntityDOFs (const LocalView &localView, const Intersection &intersection)
| Create bound SubEntityDOFs object.